##### compton.conf / RESLOVED #####################
backend = "glx";
glx-no-stencil = true;
glx-copy-from-front = false;
glx-swap-method = "undefined";

##### OPACITY ######################################
menu-opacity = 1;
inactive-opacity = 1;
active-opacity = 1;
frame-opacity = 1;
inactive-opacity-override = false;
alpha-step = 0.06;

##### SHADOW ######################################

shadow = true;

# Soft
shadow-radius = 32;
shadow-offset-x = -32;
shadow-offset-y = -32;
shadow-opacity = 0.2;

# Sharp
#shadow-radius = 0;
#hadow-offset-x = 16;
#shadow-offset-y = 16;
#shadow-opacity = 0.2;

# shadow-red = 0.0;
# shadow-green = 0.0;
# shadow-blue = 0.0;
shadow-exclude = [
               "class_g = 'Firefox' && argb",
               "class_g = 'i3-frame'",
               "class_g = 'xtext'"
];

corner-radius = 7

blur-background = true;
blur-background-frame = true;
blur-kern = "3x3box";
opacity-rule = [
    "0:class_g = 'blank'",
    "0:class_g = 'slop'"
];

##### FADE ########################################

fading = true;
#fade-delta = 5;
fade-in-step = 0.2;
fade-out-step = 0.1;
#no-fading-openclose = true;
no-fading-destroyed-argb = true;

##### OTHER #######################################

focus-exclude = [
    "class_g = 'Cairo-clock'",
    "class_g = 'slop'"
];

# WINDOW TYPE SETTINGS
wintypes:
{
  tooltip = { fade = true; shadow = false; opacity = 0.90; focus = true; };
};
